Package org.eclipse.birt.report.engine.content

# Interface IImageContent

All Superinterfaces:
  `org.eclipse.birt.report.engine.css.engine.CSSStylableElement`, `IContent`, `IElement`, `IStyledElement`

public interface IImageContent extends IContent
Image content in the report.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`IMAGE_EXPRESSION`
property: image expression key
`static final int`
`IMAGE_FILE`
property: image file key
`static final int`
`IMAGE_NAME`
property: image name key
`static final int`
`IMAGE_URI`
Deprecated.
replaced by IMAGE_URL
`static final int`
`IMAGE_URL`
property: image URL key

### Fields inherited from interface org.eclipse.birt.report.engine.content.IContent

`AUTOTEXT_CONTENT, CELL_CONTENT, CONTAINER_CONTENT, DATA_CONTENT, DOCUMENT_EXTENSION, FOREIGN_CONTENT, GROUP_CONTENT, IMAGE_CONTENT, LABEL_CONTENT, LAYOUT_EXTENSION, LIST_BAND_CONTENT, LIST_CONTENT, LIST_GROUP_CONTENT, PAGE_CONTENT, REPORT_CONTENT, ROW_CONTENT, SERIALIZE_CONTENT, TABLE_BAND_CONTENT, TABLE_CONTENT, TABLE_GROUP_CONTENT, TEXT_CONTENT`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAltText()`
Get the alternative text
`String`
`getAltTextKey()`
Get the alternative text key
`byte[]`
`getData()`
Get the data
`String`
`getExtension()`
Get the image extension
`String`
`getHelpKey()`
Get the help text key
`ImageSize`
`getImageCalculatedSize()`
Get the calculated image size
`Object`
`getImageMap()`
`ImageSize`
`getImageRawSize()`
Get the image raw size
`int`
`getImageSource()`
Get the type of image source
`String`
`getMIMEType()`
Get the MIME type
`int`
`getResolution()`
Get the image resolution
`String`
`getURI()`
Get the URI
`default boolean`
`isFitToContainer()`
Fit the image to the wrapping container
`void`
`setAltText(String altText)`
Set the alternative text
`void`
`setAltTextKey(String key)`
Set the alternative text key
`void`
`setData(byte[] data)`
Set the data
`void`
`setExtension(String extension)`
Set the image extension
`void`
`setHelpKey(String key)`
Set the help text key
`void`
`setImageCalculatedSize(ImageSize imageCalcSize)`
Set the calculated image size
`void`
`setImageMap(Object map)`
Set the image based on full mapping object
`void`
`setImageRawSize(ImageSize imageRawSize)`
Set the image raw size
`void`
`setImageSource(int source)`
Set the image source
`void`
`setMIMEType(String mimeType)`
Set the image MIME type
`void`
`setResolution(int resolution)`
Set the image resolution
`void`
`setURI(String uri)`
Set the URI

### Methods inherited from interface org.eclipse.birt.report.engine.css.engine.CSSStylableElement

`getComputedStyle, getCSSEngine, getStyle`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IContent

`accept, cloneContent, getACL, getBookmark, getContentType, getExtension, getExtensions, getGenerateBy, getHeight, getHelpText, getHyperlinkAction, getInlineStyle, getInstanceID, getName, getReportContent, getResultSet, getTagType, getTOC, getUserProperties, getWidth, getX, getY, hasChildren, isDirectionRTL, isLastChild, isRTL, readContent, setACL, setBookmark, setExtension, setExtensions, setGenerateBy, setHasChildren, setHeight, setHelpText, setHyperlinkAction, setInlineStyle, setInstanceID, setLastChild, setName, setReportContent, setTagType, setTOC, setUserProperties, setWidth, setX, setY, writeContent`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IElement

`getChildren, getParent, setParent`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IStyledElement

`getComputedStyle, getStyle, getStyleClass, setStyleClass`

## Field Details

### IMAGE_FILE

static final int IMAGE_FILE
property: image file key

See Also:
  - Constant Field Values

### IMAGE_NAME

static final int IMAGE_NAME
property: image name key

See Also:
  - Constant Field Values

### IMAGE_EXPRESSION

static final int IMAGE_EXPRESSION
property: image expression key

See Also:
  - Constant Field Values

### IMAGE_URL

static final int IMAGE_URL
property: image URL key

See Also:
  - Constant Field Values

### IMAGE_URI

@Deprecated static final int IMAGE_URI
Deprecated.
replaced by IMAGE_URL

See Also:
  - Constant Field Values

## Method Details

### getAltText

String getAltText()
Description copied from interface: `IContent`
Get the alternative text

Specified by:
  `getAltText` in interface `IContent`
Returns:
  Returns the altText.

### getAltTextKey

String getAltTextKey()
Description copied from interface: `IContent`
Get the alternative text key

Specified by:
  `getAltTextKey` in interface `IContent`
Returns:
  the alternative text key

### setAltText

void setAltText(String altText)
Description copied from interface: `IContent`
Set the alternative text

Specified by:
  `setAltText` in interface `IContent`
Parameters:
  `altText` - alternative text

### setAltTextKey

void setAltTextKey(String key)
Description copied from interface: `IContent`
Set the alternative text key

Specified by:
  `setAltTextKey` in interface `IContent`
Parameters:
  `key` - alternative text key

### setHelpKey

void setHelpKey(String key)
Set the help text key

Parameters:
  `key` - key of the help text

### getHelpKey

String getHelpKey()
Get the help text key

Returns:
  the help text key

### getData

byte[] getData()
Get the data

Returns:
  the data

### setData

void setData(byte[] data)
Set the data

Parameters:
  `data` - image data

### getExtension

String getExtension()
Get the image extension

Returns:
  the image extension

### setExtension

void setExtension(String extension)
Set the image extension

Parameters:
  `extension` - image extension

### getURI

String getURI()
Get the URI

Returns:
  the URI

### setURI

void setURI(String uri)
Set the URI

Parameters:
  `uri` - image URI

### getImageSource

int getImageSource()
Get the type of image source

Returns:
  the type of image source

### setImageSource

void setImageSource(int source)
Set the image source

Parameters:
  `source` - image source

### getImageMap

Object getImageMap()

Returns:
  the image map (null means no image map)

### setImageMap

void setImageMap(Object map)
Set the image based on full mapping object

Parameters:
  `map` -

### getMIMEType

String getMIMEType()
Get the MIME type

Returns:
  the MIME type

### setMIMEType

void setMIMEType(String mimeType)
Set the image MIME type

Parameters:
  `mimeType` - MIME type of the image

### getResolution

int getResolution()
Get the image resolution

Returns:
  the image resolution

### setResolution

void setResolution(int resolution)
Set the image resolution

Parameters:
  `resolution` - image resolution

### setImageRawSize

void setImageRawSize(ImageSize imageRawSize)
Set the image raw size

Parameters:
  `imageRawSize` - image raw size

### getImageRawSize

ImageSize getImageRawSize()
Get the image raw size

Returns:
  Return the image raw size

### setImageCalculatedSize

void setImageCalculatedSize(ImageSize imageCalcSize)
Set the calculated image size

Parameters:
  `imageCalcSize` - calculated image size

### getImageCalculatedSize

ImageSize getImageCalculatedSize()
Get the calculated image size

Returns:
  Return the calculated image size

### isFitToContainer

default boolean isFitToContainer()
Fit the image to the wrapping container

Returns:
  the image is fit to the wrapping container
Since:
  4.19